Package org.eclipse.graphiti.mm.pictograms

# Interface Connection

All Superinterfaces:
  `AnchorContainer`, `org.eclipse.emf.ecore.EObject`, `GraphicsAlgorithmContainer`, `org.eclipse.emf.common.notify.Notifier`, `PictogramElement`, `PropertyContainer`

All Known Subinterfaces:
  `CompositeConnection`, `CurvedConnection`, `FreeFormConnection`, `ManhattanConnection`

All Known Implementing Classes:
  `CompositeConnectionImpl`, `ConnectionImpl`, `CurvedConnectionImpl`, `FreeFormConnectionImpl`, `ManhattanConnectionImpl`

public interface Connection extends AnchorContainer
A representation of the model object 'Connection'.

The following features are supported:

- `Start`
- `End`
- `Parent`
- `Connection Decorators`

See Also:
  - `PictogramsPackage.getConnection()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<ConnectionDecorator>`
`getConnectionDecorators()`
Returns the value of the 'Connection Decorators' containment reference list.
`Anchor`
`getEnd()`
Returns the value of the 'End' reference.
`Diagram`
`getParent()`
Returns the value of the 'Parent' container reference.
`Anchor`
`getStart()`
Returns the value of the 'Start' reference.
`void`
`setEnd(Anchor value)`
Sets the value of the '`End`' reference.
`void`
`setParent(Diagram value)`
Sets the value of the '`Parent`' container reference.
`void`
`setStart(Anchor value)`
Sets the value of the '`Start`' reference.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

## Method Details

### getStart

Anchor getStart()
Returns the value of the 'Start' reference. It is bidirectional and its opposite is '`Outgoing Connections`'.

If the meaning of the 'Start' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Start' reference.
See Also:
  - `setStart(Anchor)`
  - `PictogramsPackage.getConnection_Start()`
  - `Anchor.getOutgoingConnections()`

### setStart

void setStart(Anchor value)
Sets the value of the '`Start`' reference.

Parameters:
  `value` - the new value of the 'Start' reference.
See Also:
  - `getStart()`

### getEnd

Anchor getEnd()
Returns the value of the 'End' reference. It is bidirectional and its opposite is '`Incoming Connections`'.

If the meaning of the 'End' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'End' reference.
See Also:
  - `setEnd(Anchor)`
  - `PictogramsPackage.getConnection_End()`
  - `Anchor.getIncomingConnections()`

### setEnd

void setEnd(Anchor value)
Sets the value of the '`End`' reference.

Parameters:
  `value` - the new value of the 'End' reference.
See Also:
  - `getEnd()`

### getParent

Diagram getParent()
Returns the value of the 'Parent' container reference. It is bidirectional and its opposite is '`Connections`'.

If the meaning of the 'Parent' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Parent' container reference.
See Also:
  - `setParent(Diagram)`
  - `PictogramsPackage.getConnection_Parent()`
  - `Diagram.getConnections()`

### setParent

void setParent(Diagram value)
Sets the value of the '`Parent`' container reference.

Parameters:
  `value` - the new value of the 'Parent' container reference.
See Also:
  - `getParent()`

### getConnectionDecorators

org.eclipse.emf.common.util.EList<ConnectionDecorator> getConnectionDecorators()
Returns the value of the 'Connection Decorators' containment reference list. The list contents are of type `ConnectionDecorator`. It is bidirectional and its opposite is '`Connection`'.

If the meaning of the 'Connection Decorators' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Connection Decorators' containment reference list.
See Also:
  - `PictogramsPackage.getConnection_ConnectionDecorators()`
  - `ConnectionDecorator.getConnection()`